Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000448Core InformTablespublic2010-11-30 13:032014-05-07 07:35
Assigned Tograham 
Platformx86OSMac OS XOS Version10.5
Product Version6F95 
Target VersionFixed in Version6L02 
Summary0000448: Kind of table column is determined solely according to the first table, but later mismatches compile
DescriptionAfter the first table, subject is taken to be a person-valued table column. But the problem message

- - - -
Problem. In the table Specific Conversation, the entry 'pen' is incompatible with others in the column 'subject': the entries under a given column name must be blanks or values of the same kind, and this applies even to columns in different tables if they have the same name.
- - - -

does not appear.
Minimal Source Text To Reproduce
Test is a room.
There is a pen in test.

Table of Conversation

Table of Specific Conversation

When play begins:
	showme subject.
Additional InformationOr, perhaps the kind inference needs to consider all tables.
TagsNo tags attached.
Effect(mild) Compiler accepts invalid code
Attached Files

- Relationships
has duplicate 0001049closedgraham The phrase "X is a C listed in T" is inexplicably sexist 

-  Notes
jmcgrew (administrator)
2010-11-30 23:38

There's some kind of bug here, but I'm not sure the sample code is actually invalid. It may be that the column is supposed to be object-valued, not (nominally) restricted to any particular kind of object: it'd be annoying if you couldn't mix, say, men and women in the same column without setting an explicit column type.
graham (administrator)
2011-10-22 08:43


- Issue History
Date Modified Username Field Change
2010-11-30 13:03 EmacsUser New Issue
2010-11-30 13:03 EmacsUser Reporter EmacsUser => capmikee
2010-11-30 23:38 jmcgrew Note Added: 0000874
2010-11-30 23:38 jmcgrew Status new => confirmed
2011-10-22 08:43 graham Note Added: 0001423
2011-10-22 08:43 graham Status confirmed => resolved
2011-10-22 08:43 graham Resolution open => fixed
2011-10-22 08:43 graham Assigned To => graham
2014-01-25 16:54 EmacsUser Relationship added has duplicate 0001049
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:35 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker